MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026850Open CASCADE[OCCT] OCCT:Codingpublic2015-11-08 00:112016-04-20 15:51
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026850: Replace nested instantiations of TCollection generic classes by NCollection templates
DescriptionIn context of 0024750, direct instantiations of generic classes from TCollection has been replaced by equivalent NCollection templates. However, instantiations that are nested to other generic classes could not be converted at the same time, due to limitations of CDL and WOK. Now since CDL is not used any more this replacement can be done for remaining instantiations.

Note that as a side effect, this fix will eliminate multiple compiler warnings produced by GCC with option -Wextra ("... base class 'TCollection_BaseSequence' should be explicitly initialized in the copy constructor")

Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024750closedabv Replace instantiations of TCollection generic classes by NCollection templates 
has duplicate 0026782closedbugmaster Coding rules - eliminate GCC warning "base class should be explicitly initialized in the copy constructor" 
related to 0026854closedabv Use -Wextra with GCC 
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0047916)
git (administrator)
2015-11-08 08:45

Branch CR26850 has been created by abv.

SHA-1: 8d4a4d22a968e3b3c4dfa3299122b8406babc038


Detailed log of new commits:

Author: abv
Date: Sun Nov 8 00:12:47 2015 +0300

    0026850: Replace nested instantiations of TCollection generic classes by NCollection templates
    
    Remaining instantiations of NCollection generics are converted to NCollection templates; unused and duplicates removed
(0047917)
abv (manager)
2015-11-08 08:57

Fix pushed to CR26850, please review
(0047921)
kgv (developer)
2015-11-08 10:35

Please test the patch.
Note that patch is based on branch for 0024567.
(0047956)
git (administrator)
2015-11-09 15:57

Branch CR26850 has been updated forcibly by abv.

SHA-1: 5d88fd549cbe337fe3c5632326e5e01a27f55dc0
(0053158)
git (administrator)
2016-04-17 14:23

Branch CR26850 has been deleted by kgv.

SHA-1: 5d88fd549cbe337fe3c5632326e5e01a27f55dc0

- Related Changesets
occt: master 5d88fd54
Timestamp: 2015-11-07 21:12:47
Author: abv
Committer: abv
Details ] Diff ]
0026850: Replace nested instantiations of TCollection generic classes by NCollection templates

Remaining instantiations of NCollection generics are converted to NCollection templates; unused and duplicates removed
rm - src/Contap/Contap_SequenceNodeOfSequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceNodeOfSequenceOfIWLineOfTheIWalking_0.cxx Diff ] File ]
rm - src/Contap/Contap_SequenceNodeOfSequenceOfPathPointOfTheSearch.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceNodeOfSequenceOfPathPointOfTheSearch_0.cxx Diff ] File ]
rm - src/Contap/Contap_SequenceNodeOfSequenceOfSegmentOfTheSearch.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceNodeOfSequenceOfSegmentOfTheSearch_0.cxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceOfIWLineOfTheIWalking_0.cxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfPathPointOfTheSearch.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceOfPathPointOfTheSearch_0.cxx Diff ] File ]
mod - src/Contap/Contap_SequenceOfSegmentOfTheSearch.hxx Diff ] File ]
rm - src/Contap/Contap_SequenceOfSegmentOfTheSearch_0.cxx Diff ] File ]
mod - src/Contap/Contap_TheIWalking.hxx Diff ] File ]
mod - src/Contap/Contap_TheIWalking_0.cxx Diff ] File ]
mod - src/Contap/Contap_TheSearch.hxx Diff ] File ]
mod - src/Contap/Contap_TheSearch_0.cxx Diff ] File ]
mod - src/Contap/FILES Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_CCLocFOfLocECC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfELPCOfLocateExtPC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_EPCOfExtPC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_LocECC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_LocEPCOfLocateExtPC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfELPCOfLocateExtPC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCFOfEPCOfExtPC_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC2d.hxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC2d_0.cxx Diff ] File ]
mod - src/Extrema/Extrema_PCLocFOfLocEPCOfLocateExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfELPCOfLocateExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCFOfEPCOfExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPCOfPCLocFOfLocEPCOfLocateExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SeqPOnCOfCCLocFOfLocECC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfELPCOfLocateExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfELPCOfLocateExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfELPCOfLocateExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCFOfEPCOfExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCLocFOfLocEPCOfLocateExtPC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCLocFOfLocEPCOfLocateExtPC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCLocFOfLocEPCOfLocateExtPC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPCOfPCLocFOfLocEPCOfLocateExtPC_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPOnCOfCCLocFOfLocECC.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPOnCOfCCLocFOfLocECC2d.hxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPOnCOfCCLocFOfLocECC2d_0.cxx Diff ] File ]
rm - src/Extrema/Extrema_SequenceNodeOfSeqPOnCOfCCLocFOfLocECC_0.cxx Diff ] File ]
mod - src/Extrema/FILES Diff ] File ]
mod - src/Geom2dInt/FILES Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_PCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_PCLocFOfTheLocateExtPCOfTheProjPCurOfGInter_0.cxx Diff ] File ]
rm - src/Geom2dInt/Geom2dInt_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
rm - src/Geom2dInt/Geom2dInt_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter_0.cxx Diff ] File ]
rm - src/Geom2dInt/Geom2dInt_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
rm - src/Geom2dInt/Geom2dInt_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfGInter_0.cxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheLocateExtPCOfTheProjPCurOfGInter.hxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt_TheLocateExtPCOfTheProjPCurOfGInter_0.cxx Diff ] File ]
mod - src/HLRBRep/FILES Diff ] File ]
mod - src/HLRBRep/HLRBRep.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter_0.cxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter_0.cxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
rm - src/HLRBRep/HLRBRep_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter_0.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter.hxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter_0.cxx Diff ] File ]
mod - src/IntPatch/FILES Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfIWLineOfTheIWalking_0.cxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfPathPointOfTheSOnBounds.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfPathPointOfTheSOnBounds_0.cxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfSegmentOfTheSOnBounds.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceNodeOfSequenceOfSegmentOfTheSOnBounds_0.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfIWLineOfTheIWalking.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceOfIWLineOfTheIWalking_0.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfPathPointOfTheSOnBounds.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceOfPathPointOfTheSOnBounds_0.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_SequenceOfSegmentOfTheSOnBounds.hxx Diff ] File ]
rm - src/IntPatch/IntPatch_SequenceOfSegmentOfTheSOnBounds_0.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheIWalking.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheIWalking_0.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSOnBounds.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_TheSOnBounds_0.cxx Diff ] File ]
rm - src/StepRepr/StepRepr_Array1OfShapeAspect.cxx Diff ] File ]
rm - src/StepRepr/StepRepr_HArray1OfShapeAspect.cxx Diff ] File ]
mod - src/Transfer/FILES Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForFinder_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_ActorOfProcessForTransient_0.cxx Diff ] File ]
rm - src/Transfer/Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder.hxx Diff ] File ]
rm - src/Transfer/Transfer_IndexedDataMapNodeOfTransferMapOfProcessForFinder_0.cxx Diff ] File ]
rm - src/Transfer/Transfer_IndexedDataMapNodeOfTransferMapOfProcessForTransient.hxx Diff ] File ]
rm - src/Transfer/Transfer_IndexedDataMapNodeOfTransferMapOfProcessForTransient_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForFinder_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_IteratorOfProcessForTransient_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForFinder.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForFinder_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForTransient.hxx Diff ] File ]
mod - src/Transfer/Transfer_ProcessForTransient_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferMapOfProcessForFinder.hxx Diff ] File ]
rm - src/Transfer/Transfer_TransferMapOfProcessForFinder_0.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferMapOfProcessForTransient.hxx Diff ] File ]
rm - src/Transfer/Transfer_TransferMapOfProcessForTransient_0.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-08 00:11 abv New Issue
2015-11-08 00:11 abv Assigned To => kgv
2015-11-08 00:12 abv Relationship added related to 0024750
2015-11-08 08:19 abv Relationship added child of 0024487
2015-11-08 08:45 git Note Added: 0047916
2015-11-08 08:57 abv Note Added: 0047917
2015-11-08 08:57 abv Status new => resolved
2015-11-08 08:57 abv Steps to Reproduce Updated View Revisions
2015-11-08 10:32 kgv Relationship added has duplicate 0026782
2015-11-08 10:35 kgv Note Added: 0047921
2015-11-08 10:35 kgv Assigned To kgv => bugmaster
2015-11-08 10:35 kgv Status resolved => reviewed
2015-11-09 07:49 abv Relationship added related to 0026854
2015-11-09 15:57 git Note Added: 0047956
2015-11-09 16:25 mkv Assigned To bugmaster => mkv
2015-11-13 11:53 abv Changeset attached => occt master 5d88fd54
2015-11-13 11:53 abv Assigned To mkv => abv
2015-11-13 11:53 abv Status reviewed => verified
2015-11-13 11:53 abv Resolution open => fixed
2016-04-17 14:23 git Note Added: 0053158
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker